Skip to main content
PUT
/
v1
/
projects
/
{projectId}
/
connections
Update an existing project connection by name.
curl --request PUT \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "authType": "GENERIC_SECRET",
  "platformConnectionType": "COMPONENT_BASIC",
  "connectionDetails": {
    "connectionProperties": {
      "credentialSecretName": "aws-platform-credentials"
    },
    "description": "<string>",
    "secretsLocation": {
      "type": "AWS_SECRET_MANAGER",
      "region": "<string>"
    }
  }
}
'
{
  "authProvider": "NONE",
  "authType": "GENERIC_SECRET",
  "connectionDetails": {
    "connectionProperties": {
      "secretName": "db-credentials",
      "secretKey": "password"
    },
    "description": "Production database connection for analytics",
    "secretsLocation": {
      "type": "AWS_SECRET_MANAGER",
      "region": "<string>"
    }
  },
  "createdBy": "<string>",
  "createdDate": "2023-11-07T05:31:56Z",
  "name": "my-secret",
  "platformConnectionType": "COMPONENT_BASIC",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required

The unique identifier of the project containing the connection to update.

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

connectionName
string
required

The name of the connection to update.

Body

application/json

The update request containing the new connection details.

authType
enum<string>
required

The authentication type

Available options:
GENERIC_SECRET,
CLOUD_PROVIDER_SECRET
Example:

"GENERIC_SECRET"

platformConnectionType
enum<string>
required

The platform connection type. Required for proper deserialization of connection details.

Available options:
DWH,
COMPONENT_BASIC,
CLOUD_PLATFORM_CREDENTIALS
Example:

"COMPONENT_BASIC"

connectionDetails
object

Optional connection details to update

Response

Successfully updated the project connection

authProvider
string

The authentication provider

Example:

"NONE"

authType
enum<string>

The authentication type

Available options:
GENERIC_SECRET,
CLOUD_PROVIDER_SECRET
Example:

"GENERIC_SECRET"

connectionDetails
object

Connection details

createdBy
string

The user who created the connection

createdDate
string<date-time>

The date and time when the connection was created

name
string

The name of the connection

Example:

"my-secret"

platformConnectionType
enum<string>

The platform connection type

Available options:
DWH,
COMPONENT_BASIC,
CLOUD_PLATFORM_CREDENTIALS
Example:

"COMPONENT_BASIC"

projectId
string<uuid>

The project ID this connection belongs to